#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	XPS documents library
Summary(pl.UTF-8):	Biblioteka do obsługi dokumentów XPS
Name:		libgxps
Version:	0.3.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libgxps/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	0527ac7c8c405445e96a5baa6019a0c3
URL:		https://wiki.gnome.org/Projects/libgxps
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	freetype-devel >= 2
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libarchive-devel >= 2.8.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.36.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	cairo >= 1.10.0
Requires:	glib2 >= 1:2.36.0
Requires:	libarchive >= 2.8.0
Requires:	libtiff >= 4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgxps is a GObject based library for handling and rendering XPS
documents.

%description -l pl.UTF-8
libgxps to oparta na szkielecie GObject biblioteka do obsługi i
renderowania dokumentów XPS.

%package devel
Summary:	Header files for libgxps library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgxps
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10.0
Requires:	glib2-devel >= 1:2.36.0
Requires:	libarchive-devel >= 2.8.0

%description devel
Header files for libgxps library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgxps.

%package static
Summary:	Static libgxps libary
Summary(pl.UTF-8):	Statyczna biblioteka libgxps
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgxps libary.

%description static -l pl.UTF-8
Statyczna biblioteka libgxps.

%package apidocs
Summary:	libgxps API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgxps
Group:		Documentation
Requires:	gtk-doc-common
%{?noarchpackage}

%description apidocs
API documentation for libgxps library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgxps.

%prep
%setup -q

%if %{with static_libs}
%{__sed} -i -e 's/shared_library/library/' libgxps/meson.build
%endif

%build
%meson build \
	-Denable-gtk-doc=true \
	-Denable-man=true

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/xpstojpeg
%attr(755,root,root) %{_bindir}/xpstopdf
%attr(755,root,root) %{_bindir}/xpstopng
%attr(755,root,root) %{_bindir}/xpstops
%attr(755,root,root) %{_bindir}/xpstosvg
%attr(755,root,root) %{_libdir}/libgxps.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgxps.so.2
%{_libdir}/girepository-1.0/GXPS-0.1.typelib
%{_mandir}/man1/xpstojpeg.1*
%{_mandir}/man1/xpstopdf.1*
%{_mandir}/man1/xpstopng.1*
%{_mandir}/man1/xpstops.1*
%{_mandir}/man1/xpstosvg.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgxps.so
%{_datadir}/gir-1.0/GXPS-0.1.gir
%{_includedir}/libgxps
%{_pkgconfigdir}/libgxps.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgxps.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgxps
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgxps.git;a=log;h=auto/th/libgxps-0.3.2-1

* Fri Feb 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 9954a51
- updated to 0.3.2

* Fri Jan 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 9748087
- updated to 0.3.1

* Tue Dec 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 24e5433
- updated to 0.3.0; uses meson now

* Sat Feb 25 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c32ef9c
- Update to 0.2.5

* Tue Jul 26 2016 Jakub Bogusz <qboosh@pld-linux.org> dec9da7
- updated to 0.2.4

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 8368495
- noarch apidocs

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 4077dd4
- updated to 0.2.3.2
- removed obsolete build patch

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 0c4f063
- release 8 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> d7fe83b
- x32 rebuild
- release 7 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> c49a72e
- x32 rebuild
- release 6 (by relup.sh)

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4be1fea
- rel 5; builds

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 34b6504
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f708191
- release 3 (by relup.sh)

* Tue Jul 09 2013 Jan Rękorajski <baggins@pld-linux.org> 4791ee0
- release 2 (by relup.sh)

* Mon Mar 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 769cbe1
- fixed License tag

* Mon Mar 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1a0519d
- obsolete

* Mon Mar 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 2c30dc0
- updated to 0.2.2
- removed -doc.patch (fixed upstream)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 41a9e5f
- release 2

* Sat Jan 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 734e7a2
- pl
- added doc patch (to fix build without libgxps already installed)
- versioned runtime deps
- build -static

* Sat Jan 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3c5fb40
- updated to 0.2.1 (new soname)

